        !COMPILER-GENERATED INTERFACE MODULE: Thu Nov 13 16:37:32 2014
        MODULE CHARAC__genmod
          INTERFACE 
            SUBROUTINE CHARAC(XL,YL,THL,ML,XN,YN,THN,MN,G,MD,XI,XFIM)
              REAL(KIND=4) :: XL
              REAL(KIND=4) :: YL
              REAL(KIND=4) :: THL
              REAL(KIND=4) :: ML
              REAL(KIND=4) :: XN
              REAL(KIND=4) :: YN
              REAL(KIND=4) :: THN
              REAL(KIND=4) :: MN
              REAL(KIND=4) :: G
              REAL(KIND=4) :: MD
              REAL(KIND=4) :: XI
              REAL(KIND=4) :: XFIM
            END SUBROUTINE CHARAC
          END INTERFACE 
        END MODULE CHARAC__genmod
